import React, {useContext} from "react";

import {Folder2Open, Cast} from "react-bootstrap-icons";

import SlideContext from "../shared/SlideContext";
import Mode         from "../models/Mode";

const Toolbar = ({openFile}) => {
	const {setMode, setSlide} = useContext(SlideContext);

	const present = () => {
		setMode(Mode.PRESENT);
		setSlide(0);
		document.documentElement.requestFullscreen();
	}

	return (
		<nav className="toolbar">
			<button onClick={openFile} title="Open file"><Folder2Open /></button>	
			<button onClick={present} title="Start presentation [F5]"><Cast /></button>	
		</nav>
	);
};

export default Toolbar;